curl -X PUT "https://api.insuranceverified.ai/v1/insureds/…" \
-H "Authorization: Bearer ive_live_…" \
-H "Idempotency-Key: …" \
-H "Content-Type: application/json" \
-d '{
"name": "…",
"aliases": [
"…"
],
"entity_kind": "business",
"parent_insured_ref": "…",
"identifiers": {
"ein": "…",
"usdot": "…",
"mc": "…",
"state_license": "…"
},
"address": "…",
"contacts": [
"…"
],
"contact": {
"name": "…",
"email": "…",
"phone": "…"
}
}'
import requests
url = "https://api.insuranceverified.ai/v1/insureds/…"
headers = {
"Authorization": "Bearer ive_live_…",
"Idempotency-Key": "…",
}
payload = {
"name": "…",
"aliases": [
"…"
],
"entity_kind": "business",
"parent_insured_ref": "…",
"identifiers": {
"ein": "…",
"usdot": "…",
"mc": "…",
"state_license": "…"
},
"address": "…",
"contacts": [
"…"
],
"contact": {
"name": "…",
"email": "…",
"phone": "…"
}
}
response = requests.put(url, headers=headers, json=payload)
print(response.status_code, response.json())
const url = "https://api.insuranceverified.ai/v1/insureds/…";
const response = await fetch(url, {
method: "PUT",
headers: {
"Authorization": "Bearer ive_live_…",
"Idempotency-Key": "…",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "…",
"aliases": [
"…"
],
"entity_kind": "business",
"parent_insured_ref": "…",
"identifiers": {
"ein": "…",
"usdot": "…",
"mc": "…",
"state_license": "…"
},
"address": "…",
"contacts": [
"…"
],
"contact": {
"name": "…",
"email": "…",
"phone": "…"
}
}),
});
console.log(response.status, await response.json());
200 OK
{
"insured_ref": "…",
"name": "…",
"aliases": [
"…"
],
"entity_kind": "business",
"parent_insured_ref": "…",
"children": [
"…"
],
"identifiers": {
"ein": "…",
"usdot": "…",
"mc": "…",
"state_license": "…"
},
"address": "…",
"contacts": [
"…"
],
"contact": {
"name": "…",
"email": "…",
"phone": "…"
},
"documents": [
{
"document_id": "…",
"document_ref": "…",
"insured_ref": "…",
"consumer_ref": "…",
"engagement_id": "…",
"requirement_set": "…",
"engagements": [
"…"
],
"sha256": "…",
"parts": [
{
"doc_type": "coi",
"page_start": 0,
"page_end": 0
}
],
"pages": 0,
"status": "received",
"deduplicated": false,
"outcome": "…",
"test": false,
"coverage_lines": [
{
"coverage_line_id": "…",
"coverage_type": "auto_liability",
"carrier": "GEICO Marine Insurance Company",
"policy_number": "9300252875-00",
"effective_date": "2025-12-12",
"expiration_date": "2026-12-12",
"limits": [
{
"label": "combined_single_limit",
"amount": 1000000
}
],
"additional_insured": true,
"subrogation_waived": null,
"extends_to_children": null,
"document_class": "coi",
"verification": {
"state": "verified",
"confirmed_by": "broker",
"confirmed_at": "2026-08-06T15:02:00Z",
"method": "email_agent_of_record",
"proof": [
{
"kind": "reply_thread",
"evidence_id": "…"
}
]
},
"request": {
"request_id": "…",
"opened_at": "…",
"sla_target_at": "…",
"sla_hard_at": "…",
"status": "closed"
},
"flags": [
"contradiction_open"
],
"source_documents": [
"doc_id_1",
"doc_id_2"
],
"inherited_from": null
}
],
"requests": [
"…"
],
"kind": "file",
"parent_document_id": "…",
"packet_position": 0,
"page_documents": [
{
"document_id": "…",
"position": 0,
"filename": "…",
"content_type": "…",
"size_bytes": 0,
"sha256": "…",
"doc_type": "…"
}
],
"received_at": "…",
"channel": "insured_upload",
"program_ref": "…",
"meta": {},
"integrity": {
"state": "clear",
"findings": [
{
"severity": "needs_a_look",
"title": "…"
}
]
}
}
],
"coverage_lines": [
{
"coverage_line_id": "…",
"coverage_type": "auto_liability",
"carrier": "GEICO Marine Insurance Company",
"policy_number": "9300252875-00",
"effective_date": "2025-12-12",
"expiration_date": "2026-12-12",
"limits": [
{
"label": "combined_single_limit",
"amount": 1000000
}
],
"additional_insured": true,
"subrogation_waived": null,
"extends_to_children": null,
"document_class": "coi",
"verification": {
"state": "verified",
"confirmed_by": "broker",
"confirmed_at": "2026-08-06T15:02:00Z",
"method": "email_agent_of_record",
"proof": [
{
"kind": "reply_thread",
"evidence_id": "…"
}
]
},
"request": {
"request_id": "…",
"opened_at": "…",
"sla_target_at": "…",
"sla_hard_at": "…",
"status": "closed"
},
"flags": [
"contradiction_open"
],
"source_documents": [
"doc_id_1",
"doc_id_2"
],
"inherited_from": null
}
],
"open_requests": [
"…"
],
"latest_verdict_per_consumer": [
{
"verdict_id": "…",
"kind": "surface",
"scope": "engagement",
"coverage_line_id": null,
"insured_ref": "…",
"consumer_ref": "…",
"engagement_id": "…",
"requirement_set": {
"key": "default",
"version": 3
},
"requirement_set_version": 3,
"issued_at": "…",
"issued_by": "engine",
"status": "compliant",
"grace_until": null,
"rules": [
{
"rule_key": "general_liability.limit_min.each_occurrence",
"surface": "pass",
"result": "unverified",
"severity": "hard",
"reasons": [
"verification_pending"
],
"flags": [],
"required": {
"amount": 1000000
},
"observed": {
"amount": 1000000
},
"document_class_required": "coi",
"document_class_observed": "coi",
"verification_required": "broker",
"verification_observed": null,
"coverage_line_id": "…",
"satisfied_by": null,
"satisfied_via_parent": null,
"satisfied_via_program": null,
"alternatives": null,
"fact_ids": [
"…"
],
"document_ids": [
"…"
]
}
],
"wording": {
"summary": "…",
"next": "…",
"contractual": false
},
"supersedes": "prior_verdict_id",
"test": false
}
],
"enrollments": [
{
"enrollment_id": "…",
"program_ref": "…",
"program_name": "…",
"coverage_type": "…",
"verification": "attestation",
"insured_ref": "…",
"enrolled": false,
"active": false,
"effective_on": "…",
"ends_on": "…",
"source": "…",
"external_id": "…",
"actor": "…",
"meta": {},
"created_at": "…",
"updated_at": "…",
"test": false
}
]
}